// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

import (
	"time"
)

type InsertConributionInput struct {
	LeadID string    `json:"leadId"`
	Date   time.Time `json:"date"`
	Count  int       `json:"count"`
}

type LanguageScore struct {
	ID       string  `json:"id"`
	Language string  `json:"language"`
	Score    float64 `json:"score"`
}

type LeadQuery struct {
	Cursor         *string  `json:"cursor"`
	Languages      []string `json:"languages"`
	MinScore       *float64 `json:"minScore"`
	MaxScore       *float64 `json:"maxScore"`
	Next           int      `json:"next"`
	OrderType      string   `json:"orderType"`
	Ascending      bool     `json:"ascending"`
	ScrapingStatus *string  `json:"scrapingStatus"`
}
